TransientSubscription (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.boundedvm.TransientSubscription class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.boundedvm
Class TransientSubscription

    java.lang.Object
      org.codehaus.activemq.service.boundedvm.TransientSubscription

Direct Known Subclasses:
  TransientQueueSubscription, TransientTopicSubscription

public abstract class TransientSubscription
extends Object

A holder for Transient consumer info and message routing

Version:
  $Revision: 1.3 $

Field Summary
`protected ConsumerInfo` | `consumerInfo`
`protected Filter` | `filter`

Constructor Summary
`TransientSubscription(Filter filter, ConsumerInfo info)` Construct the TransientSubscription

Method Summary
`void` | `close()` close the subscription
`ConsumerInfo` | `getConsumerInfo()`
`Filter` | `getFilter()`
`abstract boolean` | `isTarget(ActiveMQMessage message)` determines if the Subscription is interested in the message
`void` | `setConsumerInfo(ConsumerInfo consumerInfo)`
`void` | `setFilter(Filter filter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filter

    protected Filter filter

### consumerInfo

    protected ConsumerInfo consumerInfo

Constructor Detail

### TransientSubscription

    public TransientSubscription(Filter filter,
                                 ConsumerInfo info)

  Construct the TransientSubscription

Parameters:
  `filter` -
  `info` -

Method Detail

### isTarget

    public abstract boolean isTarget(ActiveMQMessage message)
                              throws JMSException

  determines if the Subscription is interested in the message

  Parameters:
    `message` -
  Returns:
    true if this Subscription will accept the message
  Throws:
    `JMSException`

### getConsumerInfo

    public ConsumerInfo getConsumerInfo()

  Returns:
    Returns the consumerInfo.

### setConsumerInfo

    public void setConsumerInfo(ConsumerInfo consumerInfo)

  Parameters:
    `consumerInfo` - The consumerInfo to set.

### getFilter

    public Filter getFilter()

  Returns:
    Returns the filter.

### setFilter

    public void setFilter(Filter filter)

  Parameters:
    `filter` - The filter to set.

### close

    public void close()

  close the subscription

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.